%define		plugin	tools
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Plugin for Cacti - Network Tools
Summary(pl.UTF-8):	Wtyczka do Cacti - Tools
Name:		cacti-plugin-%{plugin}
Version:	0.3
Release:	7
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mirror.cactiusers.org/downloads/plugins/%{plugin}-%{version}.tar.gz
# Source0-md5:	3011d05efeca1a0d3485fe6f7d328bc1
URL:		http://www.cactiusers.org/
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
This plugin adds Network Tools to the Utilities section of Cacti.

%description -l pl.UTF-8
Wtyczka do Cacti - Tools.

%prep
%setup -qc
mv %{plugin}/{LICENSE,README} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 4c7b0c2
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> e1f6cc4
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 2c4206b
- enhance desc, php deps, use .tgz source

* Sun May 16 2010 sparky <sparky@pld-linux.org> ab9a321
- BR: unzip

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 96713cb
- simplify macros and cleanups

* Fri Sep 19 2008 Grzegorz Sterniczuk <grzegorz@sterniczuk.eu> 9bd3f6d
- up by Pawel Dlugosz

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> ea04e2a
- cleanups

* Thu Dec 13 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 94e3570
- change source URL

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d8062bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9bf30a4
- converted to UTF-8

* Mon Aug 07 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d450927
- up to 0.2

* Thu Feb 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 487f63d
- dummy descs

* Thu Feb 02 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 3da454f
- md5

* Thu Feb 02 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 80a580f
- init

